Package org.apache.groovy.internal.util

# Class ReevaluatingReference<T>

java.lang.Object
org.apache.groovy.internal.util.ReevaluatingReference<T>

@Incubating public class ReevaluatingReference<T> extends Object
This class represents a reference to the most actual incarnation of a Metaclass. INTERNAL USE ONLY.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReevaluatingReference(Class clazz, Supplier<T> valueSupplier, Function<T,SwitchPoint> validationSupplier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getPayload()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReevaluatingReference

    public ReevaluatingReference(Class clazz, Supplier<T> valueSupplier, Function<T,SwitchPoint> validationSupplier)

- ## Method Details

  - ### getPayload

    public T getPayload()